## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseasesqlmodelPackage.Literals

Enclosing interface:
  SybaseasesqlmodelPackage

    public static interface SybaseasesqlmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` `ACCESS_RULE_TYPE` The meta object literal for the '`Access Rule Type`' enum.
`static org.eclipse.emf.ecore.EClass` `CACHE_INFO` The meta object literal for the '`Cache Info`' class.
`static org.eclipse.emf.ecore.EReference` `CACHE_INFO__CACHE` The meta object literal for the 'Cache' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CACHE_INFO__CACHE_STRATEGY` The meta object literal for the 'Cache Strategy' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `CACHE_STRATEGY_TYPE` The meta object literal for the '`Cache Strategy Type`' enum.
`static org.eclipse.emf.ecore.EClass` `DEVICE_ITEM` The meta object literal for the '`Device Item`' class.
`static org.eclipse.emf.ecore.EAttribute` `DEVICE_ITEM__DEVICE_NAME` The meta object literal for the 'Device Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DEVICE_ITEM__SIZE` The meta object literal for the 'Size' attribute feature.
`static org.eclipse.emf.ecore.EClass` `LOCK_PROMOTION_INFO` The meta object literal for the '`Lock Promotion Info`' class.
`static org.eclipse.emf.ecore.EAttribute` `LOCK_PROMOTION_INFO__HWM` The meta object literal for the 'HWM' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCK_PROMOTION_INFO__LWM` The meta object literal for the 'LWM' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCK_PROMOTION_INFO__PCT` The meta object literal for the 'PCT' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION` The meta object literal for the 'Row Lock Promotion' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `LOCKING_SCHEMA_TYPE` The meta object literal for the '`Locking Schema Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `PROXY_TABLE_EXTERNAL_TYPE` The meta object literal for the '`Proxy Table External Type`' enum.
`static org.eclipse.emf.ecore.EClass` `SEGMENT_THRESHOLD` The meta object literal for the '`Segment Threshold`' class.
`static org.eclipse.emf.ecore.EAttribute` `SEGMENT_THRESHOLD__FREE_SPACE` The meta object literal for the 'Free Space' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SEGMENT_THRESHOLD__PROCEDURE_NAME` The meta object literal for the 'Procedure Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_BASE_TABLE` The meta object literal for the '`Sybase ASE Base Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD` The meta object literal for the 'Concurrency Opt Threshold' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE` The meta object literal for the 'Exp Row Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__FILL_FACTOR` The meta object literal for the 'Fill Factor' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__IDENTITY_GAP` The meta object literal for the 'Identity Gap' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION` The meta object literal for the 'Lock Promotion' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA` The meta object literal for the 'Lock Schema' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE` The meta object literal for the 'Max Row Per Page' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION` The meta object literal for the 'Partition Condition' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__PARTITIONS` The meta object literal for the 'Partitions' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP` The meta object literal for the 'Reserve Page Gap' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__SEGMENT` The meta object literal for the 'Segment' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE` The meta object literal for the 'System Table' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO` The meta object literal for the 'Table Only Cache Info' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT` The meta object literal for the 'Text Image Segment' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO` The meta object literal for the 'Text Only Cache Info' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_CACHE` The meta object literal for the '`Sybase ASE Cache`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CACHE__DATABASE` The meta object literal for the 'Database' container reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_CATALOG` The meta object literal for the '`Sybase ASE Catalog`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CATALOG__AUTHORIZATION_IDS` The meta object literal for the 'Authorization Ids' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CATALOG__CACHE` The meta object literal for the 'Cache' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__CATALOG_TYPE` The meta object literal for the 'Catalog Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CATALOG__DATA_DEVICES` The meta object literal for the 'Data Devices' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__DEFAULT_LOCATION` The meta object literal for the 'Default Location' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__FOR_LOAD` The meta object literal for the 'For Load' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE` The meta object literal for the 'For Proxy Update' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CATALOG__LOG_DEVICES` The meta object literal for the 'Log Devices' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__LOG_IO_SIZE` The meta object literal for the 'Log IO Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__OVERRIDE` The meta object literal for the 'Override' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_CATALOG__RECOVERY_ORDER` The meta object literal for the 'Recovery Order' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CATALOG__SEGMENTS` The meta object literal for the 'Segments' containment reference list feature.
`static org.eclipse.emf.ecore.EEnum` `SYBASE_ASE_CATALOG_TYPE` The meta object literal for the '`Sybase ASE Catalog Type`' enum.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_CHECK_CONSTRAINT` The meta object literal for the '`Sybase ASE Check Constraint`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_CHECK_CONSTRAINT__CREATOR` The meta object literal for the 'Creator' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_COLUMN` The meta object literal for the '`Sybase ASE Column`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY` The meta object literal for the 'Bind Default In Future Only' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY` The meta object literal for the 'Bind Rule In Future Only' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_COLUMN__BOUND_DEFAULT` The meta object literal for the 'Bound Default' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_COLUMN__BOUND_RULE` The meta object literal for the 'Bound Rule' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_COLUMN__COLUMN_CHECK` The meta object literal for the 'Column Check' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_COLUMN__ENCRYPTION_KEY` The meta object literal for the 'Encryption Key' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_COLUMN__HIDDEN` The meta object literal for the 'Hidden' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_COLUMN__MATERIALIZED` The meta object literal for the 'Materialized' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT` The meta object literal for the '`Sybase ASE Column Check Constraint`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN` The meta object literal for the 'Column' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_DATABASE` The meta object literal for the '`Sybase ASE Database`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_DATABASE__CACHES` The meta object literal for the 'Caches' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_DATABASE__DATA_TYPES` The meta object literal for the 'Data Types' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE` The meta object literal for the 'Encryption Key Applicable' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_DATABASE__ROLES` The meta object literal for the 'Roles' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_DATABASE__SDS_SERVER` The meta object literal for the 'Sds Server' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_DATABASE__TEMP_DB_NAME` The meta object literal for the 'Temp DB Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_DATABASE__WEB_SERVICES` The meta object literal for the 'Web Services' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE` The meta object literal for the 'Webservice Applicable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_DEFAULT` The meta object literal for the '`Sybase ASE Default`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_DEFAULT__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_DEFAULT__STATEMENT` The meta object literal for the 'Statement' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_ENCRYPTION_KEY` The meta object literal for the '`Sybase ASE Encryption Key`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_ENCRYPTION_KEY__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER` The meta object literal for the '`Sybase ASE Func Based Index Member`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_GROUP` The meta object literal for the '`Sybase ASE Group`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_INDEX` The meta object literal for the '`Sybase ASE Index`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW` The meta object literal for the 'Allow Duplicate Row' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_INDEX__CACHE_INFO` The meta object literal for the 'Cache Info' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__CONSUMER_NUM` The meta object literal for the 'Consumer Num' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY` The meta object literal for the 'Ignore Duplicate Key' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW` The meta object literal for the 'Ignore Duplicate Row' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__LOCAL_INDEX` The meta object literal for the 'Local Index' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE` The meta object literal for the 'Max Row Per Page' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_INDEX__PARTITIONS` The meta object literal for the 'Partitions' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__REVERSE_PAGE_GAP` The meta object literal for the 'Reverse Page Gap' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_INDEX__SEGMENT` The meta object literal for the 'Segment' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__SORTED_DATA` The meta object literal for the 'Sorted Data' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__STATISTICS_STEP` The meta object literal for the 'Statistics Step' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_INDEX__SUSPECT` The meta object literal for the 'Suspect' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PREDEFINED_DATA_TYPE` The meta object literal for the '`Sybase ASE Predefined Data Type`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PRIMARY_KEY` The meta object literal for the '`Sybase ASE Primary Key`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT` The meta object literal for the 'Ase Unique Constraint' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PRIVILEGE` The meta object literal for the '`Sybase ASE Privilege`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PROCEDURE` The meta object literal for the '`Sybase ASE Procedure`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROCEDURE__GROUP_NUMBER` The meta object literal for the 'Group Number' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE` The meta object literal for the 'System Procedure' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROCEDURE__TRANSACTION_MODE` The meta object literal for the 'Transaction Mode' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROCEDURE__WITH_RECOMPILE` The meta object literal for the 'With Recompile' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PROXY_TABLE` The meta object literal for the '`Sybase ASE Proxy Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER` The meta object literal for the 'Column Delimiter' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROXY_TABLE__EXISTING` The meta object literal for the 'Existing' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH` The meta object literal for the 'External Path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE` The meta object literal for the 'External Type' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_ROLE` The meta object literal for the '`Sybase ASE Role`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_RULE` The meta object literal for the '`Sybase ASE Rule`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_RULE__ACCESS_RULE` The meta object literal for the 'Access Rule' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_RULE__ACCESS_TYPE` The meta object literal for the 'Access Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_RULE__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_RULE__STATEMENT` The meta object literal for the 'Statement' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_SCHEMA` The meta object literal for the '`Sybase ASE Schema`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_SCHEMA__DEFAULTS` The meta object literal for the 'Defaults' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS` The meta object literal for the 'Encryption Keys' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_SCHEMA__RULES` The meta object literal for the 'Rules' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_SEGMENT` The meta object literal for the '`Sybase ASE Segment`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_SEGMENT__CATALOG` The meta object literal for the 'Catalog' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_SEGMENT__DEVICE_NAMES` The meta object literal for the 'Device Names' attribute list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_SEGMENT__THRESHOLDS` The meta object literal for the 'Thresholds' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_TABLE` The meta object literal for the '`Sybase ASE Table`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_TEMP_TABLE` The meta object literal for the '`Sybase ASE Temp Table`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_TRIGGER` The meta object literal for the '`Sybase ASE Trigger`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_TRIGGER__ENABLED` The meta object literal for the 'Enabled' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_UNIQUE_CONSTRAINT` The meta object literal for the '`Sybase ASE Unique Constraint`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX` The meta object literal for the 'System Gened Index' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME` The meta object literal for the 'System Gened Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_USER` The meta object literal for the '`Sybase ASE User`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_USER__LOGIN_NAME` The meta object literal for the 'Login Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_USER_DEFINED_TYPE` The meta object literal for the '`Sybase ASE User Defined Type`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS` The meta object literal for the 'Allow Nulls' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY` The meta object literal for the 'Bind Default In Future Only' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY` The meta object literal for the 'Bind Rule In Future Only' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT` The meta object literal for the 'Bound Default' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE` The meta object literal for the 'Bound Rule' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY` The meta object literal for the 'Identity' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_VIEW_TABLE` The meta object literal for the '`Sybase ASE View Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION` The meta object literal for the 'With Check Option' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_WEB_SERVICE` The meta object literal for the '`Sybase ASE Web Service`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED` The meta object literal for the 'Auth required' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_WEB_SERVICE__DATABASE` The meta object literal for the 'Database' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__PARAMETER` The meta object literal for the 'Parameter' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__REMARKS` The meta object literal for the 'Remarks' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED` The meta object literal for the 'Secure required' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__SERVICE_ID` The meta object literal for the 'Service id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE` The meta object literal for the 'Service type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__STATEMENT` The meta object literal for the 'Statement' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__URL_PATH` The meta object literal for the 'Url path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE__USER_NAME` The meta object literal for the 'User name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_WEB_SERVICE_TABLE` The meta object literal for the '`Sybase ASE Web Service Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE_TABLE__METHOD` The meta object literal for the 'Method' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI` The meta object literal for the 'WSDLURI' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `TRANSACTION_MODE_TYPE` The meta object literal for the '`Transaction Mode Type`' enum.

Field Detail

### SYBASE_ASE_SCHEMA

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_SCHEMA

  The meta object literal for the '`Sybase ASE Schema`' class.

  See Also:
    `SybaseASESchemaImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASESchema()`

### SYBASE_ASE_SCHEMA__DEFAULTS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_SCHEMA__DEFAULTS

  The meta object literal for the 'Defaults' reference list feature.

### SYBASE_ASE_SCHEMA__RULES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_SCHEMA__RULES

  The meta object literal for the 'Rules' reference list feature.

### SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS

  The meta object literal for the 'Encryption Keys' reference list feature.

### SYBASE_ASE_DATABASE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_DATABASE

  The meta object literal for the '`Sybase ASE Database`' class.

  See Also:
    `SybaseASEDatabaseImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEDatabase()`

### SYBASE_ASE_DATABASE__DATA_TYPES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_DATABASE__DATA_TYPES

  The meta object literal for the 'Data Types' reference list feature.

### SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE

  The meta object literal for the 'Encryption Key Applicable' attribute feature.

### SYBASE_ASE_DATABASE__ROLES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_DATABASE__ROLES

  The meta object literal for the 'Roles' reference list feature.

### SYBASE_ASE_DATABASE__CACHES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_DATABASE__CACHES

  The meta object literal for the 'Caches' containment reference list feature.

### SYBASE_ASE_DATABASE__WEB_SERVICES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_DATABASE__WEB_SERVICES

  The meta object literal for the 'Web Services' containment reference list feature.

### SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE

  The meta object literal for the 'Webservice Applicable' attribute feature.

### SYBASE_ASE_DATABASE__SDS_SERVER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_DATABASE__SDS_SERVER

  The meta object literal for the 'Sds Server' attribute list feature.

### SYBASE_ASE_DATABASE__TEMP_DB_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_DATABASE__TEMP_DB_NAME

  The meta object literal for the 'Temp DB Name' attribute feature.

### SYBASE_ASE_WEB_SERVICE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_WEB_SERVICE

  The meta object literal for the '`Sybase ASE Web Service`' class.

  See Also:
    `SybaseASEWebServiceImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEWebService()`

### SYBASE_ASE_WEB_SERVICE__SERVICE_ID

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__SERVICE_ID

  The meta object literal for the 'Service id' attribute feature.

### SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE

  The meta object literal for the 'Service type' attribute feature.

### SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED

  The meta object literal for the 'Auth required' attribute feature.

### SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED

  The meta object literal for the 'Secure required' attribute feature.

### SYBASE_ASE_WEB_SERVICE__URL_PATH

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__URL_PATH

  The meta object literal for the 'Url path' attribute feature.

### SYBASE_ASE_WEB_SERVICE__USER_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__USER_NAME

  The meta object literal for the 'User name' attribute feature.

### SYBASE_ASE_WEB_SERVICE__PARAMETER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__PARAMETER

  The meta object literal for the 'Parameter' attribute feature.

### SYBASE_ASE_WEB_SERVICE__STATEMENT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__STATEMENT

  The meta object literal for the 'Statement' attribute feature.

### SYBASE_ASE_WEB_SERVICE__REMARKS

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE__REMARKS

  The meta object literal for the 'Remarks' attribute feature.

### SYBASE_ASE_WEB_SERVICE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_WEB_SERVICE__DATABASE

  The meta object literal for the 'Database' container reference feature.

### SYBASE_ASE_PREDEFINED_DATA_TYPE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PREDEFINED_DATA_TYPE

  The meta object literal for the '`Sybase ASE Predefined Data Type`' class.

  See Also:
    `SybaseASEPredefinedDataTypeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPredefinedDataType()`

### SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE

  The meta object literal for the 'Database' reference feature.

### SYBASE_ASE_CATALOG

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_CATALOG

  The meta object literal for the '`Sybase ASE Catalog`' class.

  See Also:
    `SybaseASECatalogImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECatalog()`

### SYBASE_ASE_CATALOG__SEGMENTS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CATALOG__SEGMENTS

  The meta object literal for the 'Segments' containment reference list feature.

### SYBASE_ASE_CATALOG__DATA_DEVICES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CATALOG__DATA_DEVICES

  The meta object literal for the 'Data Devices' reference list feature.

### SYBASE_ASE_CATALOG__LOG_DEVICES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CATALOG__LOG_DEVICES

  The meta object literal for the 'Log Devices' reference list feature.

### SYBASE_ASE_CATALOG__OVERRIDE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__OVERRIDE

  The meta object literal for the 'Override' attribute feature.

### SYBASE_ASE_CATALOG__DEFAULT_LOCATION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__DEFAULT_LOCATION

  The meta object literal for the 'Default Location' attribute feature.

### SYBASE_ASE_CATALOG__FOR_LOAD

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__FOR_LOAD

  The meta object literal for the 'For Load' attribute feature.

### SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE

  The meta object literal for the 'For Proxy Update' attribute feature.

### SYBASE_ASE_CATALOG__CACHE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CATALOG__CACHE

  The meta object literal for the 'Cache' reference feature.

### SYBASE_ASE_CATALOG__CATALOG_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__CATALOG_TYPE

  The meta object literal for the 'Catalog Type' attribute feature.

### SYBASE_ASE_CATALOG__LOG_IO_SIZE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__LOG_IO_SIZE

  The meta object literal for the 'Log IO Size' attribute feature.

### SYBASE_ASE_CATALOG__RECOVERY_ORDER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_CATALOG__RECOVERY_ORDER

  The meta object literal for the 'Recovery Order' attribute feature.

### SYBASE_ASE_CATALOG__AUTHORIZATION_IDS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CATALOG__AUTHORIZATION_IDS

  The meta object literal for the 'Authorization Ids' reference list feature.

### SYBASE_ASE_PROCEDURE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PROCEDURE

  The meta object literal for the '`Sybase ASE Procedure`' class.

  See Also:
    `SybaseASEProcedureImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEProcedure()`

### SYBASE_ASE_PROCEDURE__GROUP_NUMBER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROCEDURE__GROUP_NUMBER

  The meta object literal for the 'Group Number' attribute feature.

### SYBASE_ASE_PROCEDURE__TRANSACTION_MODE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROCEDURE__TRANSACTION_MODE

  The meta object literal for the 'Transaction Mode' attribute feature.

### SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE

  The meta object literal for the 'System Procedure' attribute feature.

### SYBASE_ASE_PROCEDURE__WITH_RECOMPILE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROCEDURE__WITH_RECOMPILE

  The meta object literal for the 'With Recompile' attribute feature.

### SYBASE_ASE_DEFAULT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_DEFAULT

  The meta object literal for the '`Sybase ASE Default`' class.

  See Also:
    `SybaseASEDefaultImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEDefault()`

### SYBASE_ASE_DEFAULT__SCHEMA

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_DEFAULT__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### SYBASE_ASE_DEFAULT__STATEMENT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_DEFAULT__STATEMENT

  The meta object literal for the 'Statement' attribute feature.

### SYBASE_ASE_RULE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_RULE

  The meta object literal for the '`Sybase ASE Rule`' class.

  See Also:
    `SybaseASERuleImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASERule()`

### SYBASE_ASE_RULE__SCHEMA

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_RULE__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### SYBASE_ASE_RULE__STATEMENT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_RULE__STATEMENT

  The meta object literal for the 'Statement' attribute feature.

### SYBASE_ASE_RULE__ACCESS_RULE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_RULE__ACCESS_RULE

  The meta object literal for the 'Access Rule' attribute feature.

### SYBASE_ASE_RULE__ACCESS_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_RULE__ACCESS_TYPE

  The meta object literal for the 'Access Type' attribute feature.

### SYBASE_ASE_INDEX

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_INDEX

  The meta object literal for the '`Sybase ASE Index`' class.

  See Also:
    `SybaseASEIndexImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEIndex()`

### SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE

  The meta object literal for the 'Max Row Per Page' attribute feature.

### SYBASE_ASE_INDEX__REVERSE_PAGE_GAP

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__REVERSE_PAGE_GAP

  The meta object literal for the 'Reverse Page Gap' attribute feature.

### SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY

  The meta object literal for the 'Ignore Duplicate Key' attribute feature.

### SYBASE_ASE_INDEX__SORTED_DATA

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__SORTED_DATA

  The meta object literal for the 'Sorted Data' attribute feature.

### SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW

  The meta object literal for the 'Ignore Duplicate Row' attribute feature.

### SYBASE_ASE_INDEX__SEGMENT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_INDEX__SEGMENT

  The meta object literal for the 'Segment' reference feature.

### SYBASE_ASE_INDEX__LOCAL_INDEX

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__LOCAL_INDEX

  The meta object literal for the 'Local Index' attribute feature.

### SYBASE_ASE_INDEX__PARTITIONS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_INDEX__PARTITIONS

  The meta object literal for the 'Partitions' containment reference list feature.

### SYBASE_ASE_INDEX__CONSUMER_NUM

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__CONSUMER_NUM

  The meta object literal for the 'Consumer Num' attribute feature.

### SYBASE_ASE_INDEX__STATISTICS_STEP

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__STATISTICS_STEP

  The meta object literal for the 'Statistics Step' attribute feature.

### SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW

  The meta object literal for the 'Allow Duplicate Row' attribute feature.

### SYBASE_ASE_INDEX__SUSPECT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_INDEX__SUSPECT

  The meta object literal for the 'Suspect' attribute feature.

### SYBASE_ASE_INDEX__CACHE_INFO

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_INDEX__CACHE_INFO

  The meta object literal for the 'Cache Info' containment reference feature.

### SYBASE_ASE_SEGMENT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_SEGMENT

  The meta object literal for the '`Sybase ASE Segment`' class.

  See Also:
    `SybaseASESegmentImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASESegment()`

### SYBASE_ASE_SEGMENT__CATALOG

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_SEGMENT__CATALOG

  The meta object literal for the 'Catalog' container reference feature.

### SYBASE_ASE_SEGMENT__DEVICE_NAMES

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_SEGMENT__DEVICE_NAMES

  The meta object literal for the 'Device Names' attribute list feature.

### SYBASE_ASE_SEGMENT__THRESHOLDS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_SEGMENT__THRESHOLDS

  The meta object literal for the 'Thresholds' reference list feature.

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_FUNC_BASED_INDEX_MEMBER

  The meta object literal for the '`Sybase ASE Func Based Index Member`' class.

  See Also:
    `SybaseASEFuncBasedIndexMemberImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEFuncBasedIndexMember()`

### SYBASE_ASE_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_TABLE

  The meta object literal for the '`Sybase ASE Table`' class.

  See Also:
    `SybaseASETableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETable()`

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_COLUMN_CHECK_CONSTRAINT

  The meta object literal for the '`Sybase ASE Column Check Constraint`' class.

  See Also:
    `SybaseASEColumnCheckConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEColumnCheckConstraint()`

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN

  The meta object literal for the 'Column' reference feature.

### SYBASE_ASE_COLUMN

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_COLUMN

  The meta object literal for the '`Sybase ASE Column`' class.

  See Also:
    `SybaseASEColumnImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEColumn()`

### SYBASE_ASE_COLUMN__COLUMN_CHECK

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_COLUMN__COLUMN_CHECK

  The meta object literal for the 'Column Check' reference feature.

### SYBASE_ASE_COLUMN__BOUND_DEFAULT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_COLUMN__BOUND_DEFAULT

  The meta object literal for the 'Bound Default' reference feature.

### SYBASE_ASE_COLUMN__BOUND_RULE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_COLUMN__BOUND_RULE

  The meta object literal for the 'Bound Rule' reference feature.

### SYBASE_ASE_COLUMN__MATERIALIZED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_COLUMN__MATERIALIZED

  The meta object literal for the 'Materialized' attribute feature.

### SYBASE_ASE_COLUMN__ENCRYPTION_KEY

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_COLUMN__ENCRYPTION_KEY

  The meta object literal for the 'Encryption Key' reference feature.

### SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY

  The meta object literal for the 'Bind Default In Future Only' attribute feature.

### SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY

  The meta object literal for the 'Bind Rule In Future Only' attribute feature.

### SYBASE_ASE_COLUMN__HIDDEN

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_COLUMN__HIDDEN

  The meta object literal for the 'Hidden' attribute feature.

### SYBASE_ASE_UNIQUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_UNIQUE_CONSTRAINT

  The meta object literal for the '`Sybase ASE Unique Constraint`' class.

  See Also:
    `SybaseASEUniqueConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUniqueConstraint()`

### SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX

  The meta object literal for the 'System Gened Index' containment reference feature.

### SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME

  The meta object literal for the 'System Gened Name' attribute feature.

### SYBASE_ASE_PRIMARY_KEY

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PRIMARY_KEY

  The meta object literal for the '`Sybase ASE Primary Key`' class.

  See Also:
    `SybaseASEPrimaryKeyImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPrimaryKey()`

### SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT

  The meta object literal for the 'Ase Unique Constraint' containment reference feature.

### DEVICE_ITEM

    static final org.eclipse.emf.ecore.EClass DEVICE_ITEM

  The meta object literal for the '`Device Item`' class.

  See Also:
    `DeviceItemImpl`, `SybaseasesqlmodelPackageImpl.getDeviceItem()`

### DEVICE_ITEM__DEVICE_NAME

    static final org.eclipse.emf.ecore.EAttribute DEVICE_ITEM__DEVICE_NAME

  The meta object literal for the 'Device Name' attribute feature.

### DEVICE_ITEM__SIZE

    static final org.eclipse.emf.ecore.EAttribute DEVICE_ITEM__SIZE

  The meta object literal for the 'Size' attribute feature.

### SEGMENT_THRESHOLD

    static final org.eclipse.emf.ecore.EClass SEGMENT_THRESHOLD

  The meta object literal for the '`Segment Threshold`' class.

  See Also:
    `SegmentThresholdImpl`, `SybaseasesqlmodelPackageImpl.getSegmentThreshold()`

### SEGMENT_THRESHOLD__PROCEDURE_NAME

    static final org.eclipse.emf.ecore.EAttribute SEGMENT_THRESHOLD__PROCEDURE_NAME

  The meta object literal for the 'Procedure Name' attribute feature.

### SEGMENT_THRESHOLD__FREE_SPACE

    static final org.eclipse.emf.ecore.EAttribute SEGMENT_THRESHOLD__FREE_SPACE

  The meta object literal for the 'Free Space' attribute feature.

### CACHE_INFO

    static final org.eclipse.emf.ecore.EClass CACHE_INFO

  The meta object literal for the '`Cache Info`' class.

  See Also:
    `CacheInfoImpl`, `SybaseasesqlmodelPackageImpl.getCacheInfo()`

### CACHE_INFO__CACHE_STRATEGY

    static final org.eclipse.emf.ecore.EAttribute CACHE_INFO__CACHE_STRATEGY

  The meta object literal for the 'Cache Strategy' attribute feature.

### CACHE_INFO__CACHE

    static final org.eclipse.emf.ecore.EReference CACHE_INFO__CACHE

  The meta object literal for the 'Cache' reference feature.

### SYBASE_ASE_USER_DEFINED_TYPE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_USER_DEFINED_TYPE

  The meta object literal for the '`Sybase ASE User Defined Type`' class.

  See Also:
    `SybaseASEUserDefinedTypeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUserDefinedType()`

### SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT

  The meta object literal for the 'Bound Default' reference feature.

### SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE

  The meta object literal for the 'Bound Rule' reference feature.

### SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY

  The meta object literal for the 'Bind Default In Future Only' attribute feature.

### SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY

  The meta object literal for the 'Bind Rule In Future Only' attribute feature.

### SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS

  The meta object literal for the 'Allow Nulls' attribute feature.

### SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY

  The meta object literal for the 'Identity' attribute feature.

### SYBASE_ASE_ENCRYPTION_KEY

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_ENCRYPTION_KEY

  The meta object literal for the '`Sybase ASE Encryption Key`' class.

  See Also:
    `SybaseASEEncryptionKeyImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEEncryptionKey()`

### SYBASE_ASE_ENCRYPTION_KEY__SCHEMA

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_ENCRYPTION_KEY__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### LOCK_PROMOTION_INFO

    static final org.eclipse.emf.ecore.EClass LOCK_PROMOTION_INFO

  The meta object literal for the '`Lock Promotion Info`' class.

  See Also:
    `LockPromotionInfoImpl`, `SybaseasesqlmodelPackageImpl.getLockPromotionInfo()`

### LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION

    static final org.eclipse.emf.ecore.EAttribute LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION

  The meta object literal for the 'Row Lock Promotion' attribute feature.

### LOCK_PROMOTION_INFO__LWM

    static final org.eclipse.emf.ecore.EAttribute LOCK_PROMOTION_INFO__LWM

  The meta object literal for the 'LWM' attribute feature.

### LOCK_PROMOTION_INFO__HWM

    static final org.eclipse.emf.ecore.EAttribute LOCK_PROMOTION_INFO__HWM

  The meta object literal for the 'HWM' attribute feature.

### LOCK_PROMOTION_INFO__PCT

    static final org.eclipse.emf.ecore.EAttribute LOCK_PROMOTION_INFO__PCT

  The meta object literal for the 'PCT' attribute feature.

### SYBASE_ASE_ROLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_ROLE

  The meta object literal for the '`Sybase ASE Role`' class.

  See Also:
    `SybaseASERoleImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASERole()`

### SYBASE_ASE_CACHE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_CACHE

  The meta object literal for the '`Sybase ASE Cache`' class.

  See Also:
    `SybaseASECacheImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECache()`

### SYBASE_ASE_CACHE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CACHE__DATABASE

  The meta object literal for the 'Database' container reference feature.

### SYBASE_ASE_VIEW_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_VIEW_TABLE

  The meta object literal for the '`Sybase ASE View Table`' class.

  See Also:
    `SybaseASEViewTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEViewTable()`

### SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION

  The meta object literal for the 'With Check Option' attribute feature.

### SYBASE_ASE_TEMP_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_TEMP_TABLE

  The meta object literal for the '`Sybase ASE Temp Table`' class.

  See Also:
    `SybaseASETempTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETempTable()`

### SYBASE_ASE_PROXY_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PROXY_TABLE

  The meta object literal for the '`Sybase ASE Proxy Table`' class.

  See Also:
    `SybaseASEProxyTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEProxyTable()`

### SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE

  The meta object literal for the 'External Type' attribute feature.

### SYBASE_ASE_PROXY_TABLE__EXISTING

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROXY_TABLE__EXISTING

  The meta object literal for the 'Existing' attribute feature.

### SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER

  The meta object literal for the 'Column Delimiter' attribute feature.

### SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH

  The meta object literal for the 'External Path' attribute feature.

### SYBASE_ASE_WEB_SERVICE_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_WEB_SERVICE_TABLE

  The meta object literal for the '`Sybase ASE Web Service Table`' class.

  See Also:
    `SybaseASEWebServiceTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEWebServiceTable()`

### SYBASE_ASE_WEB_SERVICE_TABLE__METHOD

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE_TABLE__METHOD

  The meta object literal for the 'Method' attribute feature.

### SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI

  The meta object literal for the 'WSDLURI' attribute feature.

### SYBASE_ASE_BASE_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_BASE_TABLE

  The meta object literal for the '`Sybase ASE Base Table`' class.

  See Also:
    `SybaseASEBaseTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEBaseTable()`

### SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA

  The meta object literal for the 'Lock Schema' attribute feature.

### SYBASE_ASE_BASE_TABLE__FILL_FACTOR

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__FILL_FACTOR

  The meta object literal for the 'Fill Factor' attribute feature.

### SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE

  The meta object literal for the 'Max Row Per Page' attribute feature.

### SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE

  The meta object literal for the 'Exp Row Size' attribute feature.

### SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP

  The meta object literal for the 'Reserve Page Gap' attribute feature.

### SYBASE_ASE_BASE_TABLE__IDENTITY_GAP

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__IDENTITY_GAP

  The meta object literal for the 'Identity Gap' attribute feature.

### SYBASE_ASE_BASE_TABLE__SEGMENT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__SEGMENT

  The meta object literal for the 'Segment' reference feature.

### SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD

  The meta object literal for the 'Concurrency Opt Threshold' attribute feature.

### SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION

  The meta object literal for the 'Partition Condition' containment reference feature.

### SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO

  The meta object literal for the 'Table Only Cache Info' containment reference feature.

### SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO

  The meta object literal for the 'Text Only Cache Info' containment reference feature.

### SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION

  The meta object literal for the 'Lock Promotion' containment reference list feature.

### SYBASE_ASE_BASE_TABLE__PARTITIONS

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__PARTITIONS

  The meta object literal for the 'Partitions' attribute feature.

### SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT

  The meta object literal for the 'Text Image Segment' reference feature.

### SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE

  The meta object literal for the 'System Table' attribute feature.

### SYBASE_ASE_USER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_USER

  The meta object literal for the '`Sybase ASE User`' class.

  See Also:
    `SybaseASEUserImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUser()`

### SYBASE_ASE_USER__LOGIN_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_USER__LOGIN_NAME

  The meta object literal for the 'Login Name' attribute feature.

### SYBASE_ASE_GROUP

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_GROUP

  The meta object literal for the '`Sybase ASE Group`' class.

  See Also:
    `SybaseASEGroupImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEGroup()`

### SYBASE_ASE_PRIVILEGE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PRIVILEGE

  The meta object literal for the '`Sybase ASE Privilege`' class.

  See Also:
    `SybaseASEPrivilegeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPrivilege()`

### SYBASE_ASE_TRIGGER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_TRIGGER

  The meta object literal for the '`Sybase ASE Trigger`' class.

  See Also:
    `SybaseASETriggerImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETrigger()`

### SYBASE_ASE_TRIGGER__ENABLED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASE_TRIGGER__ENABLED

  The meta object literal for the 'Enabled' attribute feature.

### SYBASE_ASE_CHECK_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_CHECK_CONSTRAINT

  The meta object literal for the '`Sybase ASE Check Constraint`' class.

  See Also:
    `SybaseASECheckConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECheckConstraint()`

### SYBASE_ASE_CHECK_CONSTRAINT__CREATOR

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_CHECK_CONSTRAINT__CREATOR

  The meta object literal for the 'Creator' reference feature.

### TRANSACTION_MODE_TYPE

    static final org.eclipse.emf.ecore.EEnum TRANSACTION_MODE_TYPE

  The meta object literal for the '`Transaction Mode Type`' enum.

  See Also:
    `TransactionModeType`, `SybaseasesqlmodelPackageImpl.getTransactionModeType()`

### CACHE_STRATEGY_TYPE

    static final org.eclipse.emf.ecore.EEnum CACHE_STRATEGY_TYPE

  The meta object literal for the '`Cache Strategy Type`' enum.

  See Also:
    `CacheStrategyType`, `SybaseasesqlmodelPackageImpl.getCacheStrategyType()`

### PROXY_TABLE_EXTERNAL_TYPE

    static final org.eclipse.emf.ecore.EEnum PROXY_TABLE_EXTERNAL_TYPE

  The meta object literal for the '`Proxy Table External Type`' enum.

  See Also:
    `ProxyTableExternalType`, `SybaseasesqlmodelPackageImpl.getProxyTableExternalType()`

### ACCESS_RULE_TYPE

    static final org.eclipse.emf.ecore.EEnum ACCESS_RULE_TYPE

  The meta object literal for the '`Access Rule Type`' enum.

  See Also:
    `AccessRuleType`, `SybaseasesqlmodelPackageImpl.getAccessRuleType()`

### SYBASE_ASE_CATALOG_TYPE

    static final org.eclipse.emf.ecore.EEnum SYBASE_ASE_CATALOG_TYPE

  The meta object literal for the '`Sybase ASE Catalog Type`' enum.

  See Also:
    `SybaseASECatalogType`, `SybaseasesqlmodelPackageImpl.getSybaseASECatalogType()`

### LOCKING_SCHEMA_TYPE

    static final org.eclipse.emf.ecore.EEnum LOCKING_SCHEMA_TYPE

  The meta object literal for the '`Locking Schema Type`' enum.

  See Also:
    `LockingSchemaType`, `SybaseasesqlmodelPackageImpl.getLockingSchemaType()`